<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('categories', function (Blueprint $table) {
            $table->increments('id');

            $table->unsignedInteger('parent_id')->index()->nullable();

            $table->string('name')->index();
            $table->string('headline')->index();
            $table->unsignedInteger('headline_image_id')->nullable()->index();

            $table->text('trans_headline')->nullable();
            $table->text('trans_name')->nullable();
            $table->unsignedTinyInteger('pos')->nullable()->default(0);
            $table->boolean('active')->default(false);

            $table->string('slug')->unique()->index();


            $table->timestamps();

            $table->foreign('parent_id')
                ->references('id')
                ->on('categories');

            $table->foreign('headline_image_id')
                ->references('id')
                ->on('iq_images');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('categories');
    }
}
